Request the current performance configuration
GET /api
Response
200 — The current performance configuration
DefaultDashboardRenderModeenum
Allowed values:VirtualizeColumns,VirtualizeRowsAndColumns.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Response
JSON
{
"DefaultDashboardRenderMode": "VirtualizeColumns",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Set the performance configuration
PUT /api
Request Body
DefaultDashboardRenderModeenum (required)
Allowed values:VirtualizeColumns,VirtualizeRowsAndColumns.
Response
200 — The updated performance configuration
DefaultDashboardRenderModeenum
Allowed values:VirtualizeColumns,VirtualizeRowsAndColumns.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Request
JSON
{
"DefaultDashboardRenderMode": "VirtualizeColumns"
}Example Response
JSON
{
"DefaultDashboardRenderMode": "VirtualizeColumns",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}